<div
  [ngClass]="{'miam-counter-input__isXL': isXL }"
  class="miam-counter-input">
  <ng-miam-icon
    [ngClass]="{'miam-counter-input__isXL': isXL }" 
    class='miam-counter-input__icon' 
    [width]="32" 
    [height]="32" 
    [iconName]="icon.Group">
  </ng-miam-icon>
  <span
    [ngClass]="{'miam-counter-input__isXL': isXL }"
    class="miam-counter-input__button miam-counter-input__button__minus"
    id='decrementButton' 
    (click)="decrement($event)" >
    -
  </span>
  <input
    #counterInput
    class="form-control miam-counter-input__count"
    [ngClass]="{'miam-counter-input__isXL': isXL }" 
    [(ngModel)]="counter"
    [maxLength]="3"
    (click)="prevent($event)" 
    (focus)='selected.emit(true);'
    (change)="updateValue()"
  >
  <span
    [ngClass]="{'miam-counter-input__isXL': isXL }"
    class="miam-counter-input__button miam-counter-input__button__plus"
    id='incrementButton'
    (click)="increment($event)">
    +
  </span>
</div>